aWhere Manual
DevelopAPIcore-services

Roles

The roles that give a user their permissions.

Find roles (GET)

GET
/api/admin/role

Authorization

headerAuthorizationBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

Query Parameters

keyword?string

Words to look for.

query?string

A filter, as a JSON object.

select?string

The fields to return, as a JSON object of field names to 1 or 0.

skip?integer

How many to skip.

limit?integer

How many to return; 10 when absent.

Default10
sort?string

The order, as a JSON object of field names to 1 or -1.

Response Body

One page, and how many match.

application/json
  1. response
total?integer
data?array<>
curl -X GET "https://platform.example.com/api/admin/role" \  -H "Authorization: Bearer $TOKEN"
{  "total": 0,  "data": [    {      "_id": "string",      "name": "string",      "administration": null,      "permission": null,      "deletable": true,      "props": null,      "extendedProps": null,      "createdAt": null,      "createdBy": null,      "updatedAt": null,      "updatedBy": null    }  ]}

Find roles (POST)

POST
/api/admin/role

Authorization

headerAuthorizationBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

Request Body

application/json
  1. body
keyword?string

Words to look for.

query?

A filter, as a JSON object.

select?

The fields to return, as a JSON object of field names to 1 or 0.

skip?integer

How many to skip.

limit?integer

How many to return; 10 when absent.

Default10
sort?

The order, as a JSON object of field names to 1 or -1.

Response Body

One page, and how many match.

application/json
  1. response
total?integer
data?array<>
curl -X POST "https://platform.example.com/api/admin/role" \  -H "Authorization: Bearer $TOKEN" \  -H "Content-Type: application/json" \  -d '{  "keyword": "string",  "query": {},  "select": {}}'
{  "total": 0,  "data": [    {      "_id": "string",      "name": "string",      "administration": null,      "permission": null,      "deletable": true,      "props": null,      "extendedProps": null,      "createdAt": null,      "createdBy": null,      "updatedAt": null,      "updatedBy": null    }  ]}

Create a role

PUT
/api/admin/role

Authorization

headerAuthorizationBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

Request Body

application/json
  1. body
name*string
administration?unknown
permission?unknown
deletable?boolean
Defaulttrue
props?
extendedProps?

Response Body

The answer.

response?stringapplication/json

The id.

curl -X PUT "https://platform.example.com/api/admin/role" \  -H "Authorization: Bearer $TOKEN" \  -H "Content-Type: application/json" \  -d '{  "name": "string"}'
"string"

Read a role (GET)

GET
/api/admin/role/{id}

Authorization

headerAuthorizationBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

Path Parameters

id*string

The id of the role.

Query Parameters

select?string

The fields to return, as a JSON object of field names to 1 or 0.

Response Body

The record.

application/json
  1. response
_id*string
name*string
administration?unknown
permission?unknown
deletable?boolean
Defaulttrue
props?unknown
extendedProps?unknown
createdAt?unknown
createdBy?unknown
updatedAt?unknown
updatedBy?unknown
curl -X GET "https://platform.example.com/api/admin/role/$ID" \  -H "Authorization: Bearer $TOKEN"
{  "_id": "string",  "name": "string",  "administration": null,  "permission": null,  "deletable": true,  "props": null,  "extendedProps": null,  "createdAt": null,  "createdBy": null,  "updatedAt": null,  "updatedBy": null}

Read a role (POST)

POST
/api/admin/role/{id}

Authorization

headerAuthorizationBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

Path Parameters

id*string

The id of the role.

Request Body

application/json
  1. body
select?

The fields to return, as a JSON object of field names to 1 or 0.

Response Body

The record.

application/json
  1. response
_id*string
name*string
administration?unknown
permission?unknown
deletable?boolean
Defaulttrue
props?unknown
extendedProps?unknown
createdAt?unknown
createdBy?unknown
updatedAt?unknown
updatedBy?unknown
curl -X POST "https://platform.example.com/api/admin/role/$ID" \  -H "Authorization: Bearer $TOKEN" \  -H "Content-Type: application/json" \  -d '{  "select": {}}'
{  "_id": "string",  "name": "string",  "administration": null,  "permission": null,  "deletable": true,  "props": null,  "extendedProps": null,  "createdAt": null,  "createdBy": null,  "updatedAt": null,  "updatedBy": null}

Delete a role

DELETE
/api/admin/role/{id}

Authorization

headerAuthorizationBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

Path Parameters

id*string

The id of the role.

Response Body

The answer.

response?stringapplication/json

The id.

curl -X DELETE "https://platform.example.com/api/admin/role/$ID" \  -H "Authorization: Bearer $TOKEN"
"string"

Change a role

PUT
/api/admin/role/{id}

Authorization

headerAuthorizationBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

Path Parameters

id*string

The id of the role.

Request Body

application/json
  1. body
name?string
administration?unknown
permission?unknown
deletable?boolean
Defaulttrue
props?
extendedProps?

Response Body

The answer.

response?stringapplication/json

The id.

curl -X PUT "https://platform.example.com/api/admin/role/$ID" \  -H "Authorization: Bearer $TOKEN" \  -H "Content-Type: application/json" \  -d '{  "name": "string",  "administration": "...",  "permission": "..."}'
"string"

Restore a deleted role

PUT
/api/admin/role/{id}/restore

Authorization

headerAuthorizationBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

Path Parameters

id*string

The id of the role.

Response Body

The answer.

response?stringapplication/json

The id.

curl -X PUT "https://platform.example.com/api/admin/role/$ID/restore" \  -H "Authorization: Bearer $TOKEN"
"string"